#pragma once

#include "Effect.h"

class EffectFactory : public virtual Framework::ReferenceCounter
{
private:
    Framework::Text effectName;

public:
    EffectFactory( Framework::Text effectName );

    virtual Effect *createEffectOn( Entity *target ) = 0;
};