#pragma once

#include "ItemStack.h"

class ItemSlot : public virtual Framework::ReferenceCounter
{
private:
    ItemStack *items;
    int maxSize;

public:
    ItemSlot( int maxSize );

    ItemStack *takeItemsOut( int count );
    void addItems( ItemStack *stack );

    virtual int numberOfAddableItems( ItemStack *stack ) const;
    const ItemStack *getContainedItems() const;
};