#pragma once

#include "Item.h"

class ItemStack : public virtual Framework::ReferenceCounter
{
private:
    Item *item;
    int size;

public:
    ItemStack( Item *item, int currentSize );

    ItemStack *split( int size );

    bool isStackable( Item *zItem );

    const Item *zItem() const;
    int getSize() const;
};