#pragma once

#include <Thread.h>

#include "Area.h"

class Game;

class WorldLoader : public Framework::Thread
{
private:
    CriticalSection cs;
    Framework::Array<Area> requestQueue;
    Game *zGame;
    bool exit;

public:
    WorldLoader( Game *zGame );
    ~WorldLoader();
    void thread() override;
    void requestGeneration( Area request );
    void exitAndWait();
};